%define	name	contacts
%define	version	0.12
%define	release	%mkrel 2

Summary:	Small, lightweight addressbook
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://ftp.gnome.org/pub/GNOME/sources/contacts/%{version}/%{name}-%{version}.tar.bz2
Patch0:		contacts-0.11-fix-str-fmt.patch
Patch1:		contacts-0.12-fix-build.patch
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://pimlico-project.org/contacts.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libedataserver-devel
BuildRequires:	libgtk+2-devel intltool gnome-vfs2-devel

%description
Contacts is a small, lightweight addressbook that uses libebook, part of EDS.
This is the same library that GNOME Evolution uses, so all contact data that
exists in your Evolution addressbook is accessible via Contacts.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

%define schemas %name

%if %mdkversion < 200900
%post
%update_icon_cache hicolor
%update_menus
%post_install_gconf_schemas %{schemas}
%endif

%preun
%preun_uninstall_gconf_schemas %{schemas}

%if %mdkversion < 200900
%postun
%clean_icon_cache hicolor
%clean_menus
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%_sysconfdir/gconf/schemas/
%_bindir/%{name}
%_datadir/applications/%{name}.desktop
%_mandir/man1/*
%_iconsdir/*/*/apps/*.png
%_iconsdir/*/*/apps/*.svg

%lang(all) %{_datadir}/locale/*/LC_MESSAGES/*




%changelog
* Sat Sep 04 2010 Funda Wang <fwang@mandriva.org> 0.12-2mdv2011.0
+ Revision: 575847
- no need to tweak desktop file now
- new version 0.12

* Tue Feb 09 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.11-2mdv2010.1
+ Revision: 502667
- Remove last patch
- fix patch0
- rename patch0
- clean spec
- fix rpmlint's warning
- fix URL

* Tue Nov 10 2009 Götz Waschk <waschk@mandriva.org> 0.11-1mdv2010.1
+ Revision: 464181
- new version
- fix source URL
- rediff patch
- update license

* Wed Sep 02 2009 Thierry Vignaud <tv@mandriva.org> 0.9-2mdv2010.0
+ Revision: 425146
- BR gnome-vfs2-devel
- BR intltool
- rebuild

  + Jérôme Soyer <saispo@mandriva.org>
    - New upstream release

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.8-1mdv2009.0
+ Revision: 218438
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 0.8-1mdv2008.1
+ Revision: 177333
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - patch 0: fix build
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Jérôme Soyer <saispo@mandriva.org>
    - New release 0.5

  + Pascal Terjan <pterjan@mandriva.org>
    - Update URL
    - Add complete URL for source
    - Copy the more complete description from the website


* Thu Mar 08 2007 Jérôme Soyer <saispo@mandriva.org> 0.3-1mdv2007.1
+ Revision: 135013
- Import contacts

